Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp.tagext
Class TagExtraInfo

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagExtraInfo

public abstract class TagExtraInfo
extends java.lang.Object

Optional class provided by the tag library author to describe additional translation-time information not described in the TLD. The TagExtraInfo class is mentioned in the Tag Library Descriptor file (TLD).

This class can be used:

- to indicate that the tag defines scripting variables
- to perform translation-time validation of the tag attributes.

It is the responsibility of the JSP translator that the initial value to be returned by calls to getTagInfo() corresponds to a TagInfo object for the tag being translated. If an explicit call to setTagInfo() is done, then the object passed will be returned in subsequent calls to getTagInfo().

The only way to affect the value returned by getTagInfo() is through a setTagInfo() call, and thus, TagExtraInfo.setTagInfo() is to be called by the JSP translator, with a TagInfo object that corresponds to the tag being translated. The call should happen before any invocation on isValid() and before any invocation on getVariableInfo().

Constructor Summary
`TagExtraInfo()`

Method Summary
`TagInfo` | `getTagInfo()` Get the TagInfo for this class.
`VariableInfo[]` | `getVariableInfo(TagData data)` information on scripting variables defined by the tag associated with this TagExtraInfo instance.
`boolean` | `isValid(TagData data)` Translation-time validation of the attributes.
`void` | `setTagInfo(TagInfo tagInfo)` Set the TagInfo for this class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TagExtraInfo

    public TagExtraInfo()

Method Detail

### getVariableInfo

    public VariableInfo[] getVariableInfo(TagData data)

  information on scripting variables defined by the tag associated with this TagExtraInfo instance. Request-time attributes are indicated as such in the TagData parameter.
  Parameters:
    `data` - The TagData instance.
  Returns:
    An array of VariableInfo data.

### isValid

    public boolean isValid(TagData data)

  Translation-time validation of the attributes. Request-time attributes are indicated as such in the TagData parameter.
  Parameters:
    `data` - The TagData instance.
  Returns:
    Whether this tag instance is valid.

### setTagInfo

    public final void setTagInfo(TagInfo tagInfo)

  Set the TagInfo for this class.
  Parameters:
    `tagInfo` - The TagInfo this instance is extending

### getTagInfo

    public final TagInfo getTagInfo()

  Get the TagInfo for this class.
  Returns:
    the taginfo instance this instance is extending

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 The Apache Software Foundation. All Rights Reserved.